VST compiled romplers crash on old PC



  • Hello !
    before explaining the "small" problem i have, i just want to say that all my compiled romplers projects works in my PC (I7-6700, 16Go DDR4 Ram, win64, etc. ...)

    My son wanted to play with my projects on his (my old) PC and ... Drama !

    opening the vst: ok
    loading a preset/sample(map) .ch1 = Crash !
    trying to redo it : BSOD !!!

    old PC: Q6600 - 8Go DDR2 ram, win 64.

    what's the minimum requirement for a vst/rompler in 64bit ?

    already tried with 32bit vst, same result. VST loaded without samples: ok, when trying loading samples: crash.

    i will try with non monolith (.wav) files to see if the same "bug" happens ...



  • Have you used the latest version (2.0.0) for it? I added compatibility for older CPU models to the HLAC decoder a few months ago and what you are describe looks exactly like the issue back then.

    Whatever is the cause it's very likely that bypassing the HLAC codec will fix the problem because I don't use any specific SSE instructions elsewhere. Nevertheless I would like to make HLAC work on this older model (otherwise my "fix" would be half-assed).



  • no, with 1.6
    never use the 2.0.0 because of reason i gave in my post about troubles with 1.6 projects loaded in 2.0.0.
    Nothing impossible, just changing some scripts; just i'm lazy to do it now 😄
    but i will soon.

    so, i will try with 1.6 version with non monolith (.wav) files, and later with 2.0.0 project with monolith.

    But it's not really important now. my son asked me to play with my project to create a song for school exercise; but pretty sure it will finish by "hey, dadddy, could you make it for me instead of myself ?" 😄 😄 😄

    But it's a good way to find troubles with my projects when not loaded with my own computer 😉



  • @staiff said in VST compiled romplers crash on old PC:

    Hello !
    before explaining the "small" problem i have, i just want to say that all my compiled romplers projects works in my PC (I7-6700, 16Go DDR4 Ram, win64, etc. ...)

    My son wanted to play with my projects on his (my old) PC and ... Drama !

    opening the vst: ok
    loading a preset/sample(map) .ch1 = Crash !
    trying to redo it : BSOD !!!

    old PC: Q6600 - 8Go DDR2 ram, win 64.

    what's the minimum requirement for a vst/rompler in 64bit ?

    already tried with 32bit vst, same result. VST loaded without samples: ok, when trying loading samples: crash.

    i will try with non monolith (.wav) files to see if the same "bug" happens ...

    On Windows platform I'm using an old Pentium E6700 Wolfdale dual core 3.20GHz, 8 GB ram DDR3, Windows 7 Pro 64 bit and all works fine.



  • @ossian1961 said in VST compiled romplers crash on old PC:

    Pentium E6700

    Pentium E6700 is 3.40 GHz VS Q6600 2.40 GHz. With DDR3 for you. DDR2 for me. huge difference.

    anyway. the problem is elsewhere.
    this old PC was mine before, and i composed music with sonar and studio one and a lot of vst (32bit) without problems.

    this weekend we tried studio one, reaper. impossible to play just only 1 vst (every: waves - arturia - TOGU, etc. ...) without having 100% CPU hog and audio dropout.

    Only cakewalk by bandlab (64bit) works well.

    so i think this PC is very tired now ... 😉

    that's not the problem that caused the crash with .ch1, but maybe a little guilty about ...

    so i wont try to test with 2.0.0 and .ch1; Maybe with 1.6.0 and .wav. But if i have the same crash i think it's the PC sanity that cause problem first. Too old.

    A little sad to have this kind of problem, but remembered a change for a brand new PC because starting to have some CPU/Ram limitations before. Now this computer is totally limited. 😄

    i think my son will start some project with this old PC and we will finish it with my brand new. better way 😉


Log in to reply
 

4
Online

468
Users

1.6k
Topics

11.8k
Posts